Subject: Re: bug#33100: [libssh] fatal: dumb http transport does not support shallow capabilities

From: [email-masked] (Ludovic Courtès)
Date: Thu, 25 Oct 2018 14:24:43 +0200

Maxim Cournoyer <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Leo Famulari <[email-masked]> skribis:
>>
>>> On Wed, Oct 24, 2018 at 09:01:07AM -0400, Maxim Cournoyer wrote:
>>>> From 06ba66d1949ba59573518f471ad3cbacefea6ea2 Mon Sep 17 00:00:00 2001
>>>> From: Maxim Cournoyer <[email-masked]>
>>>> Date: Wed, 24 Oct 2018 08:49:50 -0400
>>>> Subject: [PATCH] build: git-fetch: Print message when falling back to a full
>>>>  checkout.
>>>> 
>>>> Otherwise the user might believe that git-fetch stalled, observing the lack of
>>>> output following a 'fatal' git error message (see:
>>>> https://debbugs.gnu.org/33100).
>>>> 
>>>> * guix/build/git.scm (git-fetch): Print message when falling back to a full
>>>> checkout.
>>>
>>> I like it, but it doesn't seem to actually print anything for me when I
>>> trigger the failing case, for example by fetching the libssh source over
>>> HTTP.
>>
>> If might be that current-output-port is fully buffered.  What if you
>> add:
>>
>>   (setvbuf (current-output-port) 'line)
>>
>> before the ‘format’ call?
>>
>> Thanks,
>> Ludo’, who is found guilty of not actually running the code.
>
> What is preferable, between your solution or using (force-output)?

I’d go for line buffering since you only need to do it once for all.

Thanks!
Ludo’.